## CallsNetworkWatch CallsNetworkWatch — Watches network interfaces |

## Functions

CallsNetworkWatch * | calls_network_watch_get_default ()
const char * | calls_network_watch_get_ipv4 ()
const char * | calls_network_watch_get_ipv6 ()

## Properties

char * | ipv4 | Read
char * | ipv6 | Read

## Signals

void | network-changed | Run Last

## Types and Values

#define | CALLS_TYPE_NETWORK_WATCH
| CallsNetworkWatch

## Object Hierarchy

        GObject
        ╰── CallsNetworkWatch

## Implemented Interfaces

CallsNetworkWatch implements GInitable.

## Description

The CallsNetworkWatch uses rtnetlink messages to keep track of network interfaces.

This allows the sofia SIP stack to bind to the correct interface and can later help in deciding which codec to use for media (f.e. lower bandwidth on a metered connection).

## Functions

### calls_network_watch_get_default ()

    CallsNetworkWatch *
    calls_network_watch_get_default (void);

### calls_network_watch_get_ipv4 ()

    const char *
    calls_network_watch_get_ipv4 (CallsNetworkWatch *self);

### calls_network_watch_get_ipv6 ()

    const char *
    calls_network_watch_get_ipv6 (CallsNetworkWatch *self);

## Types and Values

### CALLS_TYPE_NETWORK_WATCH

    #define CALLS_TYPE_NETWORK_WATCH (calls_network_watch_get_type ())

### CallsNetworkWatch

    typedef struct _CallsNetworkWatch CallsNetworkWatch;

## Property Details

### The `“ipv4”` property

      “ipv4”                     char *

The preferred source address for IPv4.

Owner: CallsNetworkWatch

Flags: Read

Default value: NULL

### The `“ipv6”` property

      “ipv6”                     char *

The preferred source address for IPv6.

Owner: CallsNetworkWatch

Flags: Read

Default value: NULL

## Signal Details

### The `“network-changed”` signal

    void
    user_function (CallsNetworkWatch *callsnetworkwatch,
                   gpointer           user_data)

Flags: Run Last